Bug 722427 - Review Request: python-importlib - Backport of importlib.import_module() from Python 2.7
Review Request: python-importlib - Backport of importlib.import_module() from...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
: python-importlib (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-15 06:23 EDT by Andrew Colin Kissa
Modified: 2011-08-05 04:32 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-importlib-1.0.2-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-05 04:27:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
metherid: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andrew Colin Kissa 2011-07-15 06:23:31 EDT
Spec URL: http://topdog-software.com/oss/SRPMS/fedora/python-importlib/python-importlib.spec
SRPM URL: http://topdog-software.com/oss/SRPMS/fedora/python-importlib/python-importlib-1.0.2-1.src.rpm
Description: This package contains the code from importlib as found in Python 2.7.
It is provided so that people who wish to use importlib.import_module()
with a version of Python prior to 2.7 or in 3.0 have the function
readily available. The code in no way deviates from what can be found
in the 2.7 trunk.
Comment 1 Andrew Colin Kissa 2011-07-15 06:24:42 EDT
*** Bug 611040 has been marked as a duplicate of this bug. ***
Comment 2 Rahul Sundaram 2011-07-16 12:15:30 EDT
Taken for review
Comment 3 Rahul Sundaram 2011-07-16 12:16:17 EDT
rpmlint is clean

scratch build works

http://koji.fedoraproject.org/koji/taskinfo?taskID=3204031

follows all the appropriate guidelines

=== APPROVED ===
Comment 4 Andrew Colin Kissa 2011-07-16 15:38:22 EDT
Thanks for the review,

New Package SCM Request
=======================
Package Name: python-importlib
Short Description: Backport of importlib.import_module() from Python 2.7
Owners: topdog
Branches: f14 f15 el5 el6
InitialCC:
Comment 5 Jon Ciesla 2011-07-16 19:00:30 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2011-07-16 19:38:47 EDT
python-importlib-1.0.2-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-importlib-1.0.2-1.el5
Comment 7 Fedora Update System 2011-07-16 19:45:25 EDT
python-importlib-1.0.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-importlib-1.0.2-1.el6
Comment 8 Fedora Update System 2011-07-20 11:30:49 EDT
python-importlib-1.0.2-1.el5 has been pushed to the Fedora EPEL 5 testing repository.
Comment 9 Fedora Update System 2011-08-05 04:27:40 EDT
python-importlib-1.0.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 10 Fedora Update System 2011-08-05 04:32:14 EDT
python-importlib-1.0.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.

Note You need to log in before you can comment on or make changes to this bug.